{% extends "page-layout.html.twig" %}

{% set pageName = 'element-form' %}
{% set pageTitle = editMode ? 'element.form.title_edit'|trans : 'element.form.title_add'|trans({'%element%': config.elementDisplayNameIndefinite}) %}

{% block page_stylesheets %}

  <link rel="stylesheet" href="{{ asset('css/element-form.css?ver=' ~ version) }}">
  <link href="https://cdnjs.cloudflare.com/ajax/libs/select2/4.0.6-rc.0/css/select2.min.css" rel="stylesheet" />

{% endblock %}


{# BODY CONTENT #}
{% block body_content %}

 	{% if config.elementFormIntroText %}<div class="flash-message form-top-custom-message">{{ config.elementFormIntroText | raw }}</div>{% endif %}
  <h1 id="element-form-title">{{ pageTitle }}</h1>
  {% include "element-form/form.html.twig" with {'editMode': editMode } %}

{% endblock %}

{% block page_javascripts %}

  <script src="{{ asset('js/element-form.js?ver=' ~ version) }}"></script>
  <script src="https://cdnjs.cloudflare.com/ajax/libs/select2/4.0.6-rc.0/js/select2.min.js"></script>
  <script type="text/javascript" src="https://cdn.jsdelivr.net/momentjs/latest/moment.min.js"></script>
  <script type="text/javascript" src="https://cdn.jsdelivr.net/npm/daterangepicker/daterangepicker.min.js"></script>

  <script>
	  var editMode = false;
	  {% if editMode %} editMode = true; {% endif %}
    var defaultTileLayer = {{ config.defaultTileLayer.toJson|raw }};;
	  initMap();
  </script>

{% endblock %}





